package com.legalPersonMonitor.connections;


import org.apache.http.*;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;

import java.io.IOException;

/**
 * Created by zhangdahui on 2017/5/18.
 */
public class HttpClientPool {

    public static String  postRequest(String url, String body) {

        HttpPost httpPost = new HttpPost(url);
        CloseableHttpClient hc = HttpClients.createDefault();
        CloseableHttpResponse response = null;
        StringEntity se = new StringEntity(body, "UTF-8");
        se.setContentType("application/json");
        httpPost.setEntity(se);
        String respStr="";
        try {
            response = hc.execute(httpPost);
            HttpEntity et = response.getEntity();
            respStr = EntityUtils.toString(et);
            return respStr;
        } catch (IOException e) {
            e.printStackTrace();

        } finally {

        }
        return respStr;

    }

    public static String getRequest(String url) throws IOException {

        CloseableHttpClient hc = HttpClients.createDefault();

        HttpGet httpget = new HttpGet(url);
        CloseableHttpResponse response;

        try {
            response = hc.execute(httpget);
            HttpEntity et = response.getEntity();
            return EntityUtils.toString(et);
        } catch (IOException e) {
            throw e;
        }
    }
}
