package com.legalPersonMonitor.monitor;

import com.legalPersonMonitor.connections.HttpClientPool;
import com.legalPersonMonitor.connections.SendRequset;
import com.legalPersonMonitor.data.AccessTokenRequset;
import com.legalPersonMonitor.data.AccessTokenResponse;
import com.legalPersonMonitor.data.WxResponseBean;
import com.legalPersonMonitor.utils.FormatBytesUtil;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by gaoxiang on 2018/1/22.
 */
public class SendToWeixin {
    private  static String startTime="1503123818000";
    private  static String endTime="1517305049000";

    public static void sendToWeixinMain(){
        endTime= FormatBytesUtil.getTimestamp();
        String msgServiceState= "0X4F模式下的法人代理返回结果："+ServiceStateMonitoring.serviceStateMonitoringServer();
        String msgTrustedPlatformStatus= "0X4F模式下的可信平台返回结果："+new TrustedPlatformStatusMonitoring().trustedPlatformStatusMonitoringServer();
        String msgSignatureServerStatus = "签名服务器状态监控："+new SignatureServerStatusMonitoring().signatureServerStatusMonitoringServer();
        String correctRateQueryStr=ServiceStateMonitoring.correctRateQuery(startTime,endTime);
        String authCountStr=ServiceStateMonitoring.authCount(startTime,endTime);
        String authFrequencyStr=ServiceStateMonitoring.authFrequency(startTime,endTime);
        startTime=endTime;
        SendRequset sr=new SendRequset();
        AccessTokenRequset atrequset=new AccessTokenRequset("https://qyapi.weixin.qq.com/cgi-bin/gettoken","wx4244612882ba3018","5dqLUQ9S3CjhFfKXsmgl4Q9PogJEG6qieoyr4AEw1UI" );
        AccessTokenResponse asresponse=sr.getAccessToken(atrequset);
        String sendjson="{   \"touser\": \"@all\",   \"toparty\": \" \",   \"totag\": \" \",   \"msgtype\": \"mpnews\",   \"agentid\": "+1000003+",   "
                + "\"mpnews\": {       \"articles\":[           "
                + "{               \"title\": \""+"身份认证监控系统"+"\",               "
                + "\"thumb_media_id\": \""+"2_VLquGGm4PEhhG-vG5_9SEfdLvNrvNPbdLH6DrZqieHHH5LqXbfqvLWljvcgGvF4"+"\",               "
                + "\"author\": \"\",               "
                + "\"content_source_url\": \"\",               "
                + "\"content\": \"<div > "+msgServiceState+" </div>" +
                                    "<br>" +
                                    "<div > "+ correctRateQueryStr+" </div>" +
                                    "<br>" +
                                    "<div > "+ authCountStr+" </div>" +
                                    "<br>" +
                                    "<div > "+ authFrequencyStr+" </div>" +
                                    "<br>" +
                                    "<div > "+ msgTrustedPlatformStatus+" </div>" +
                                    "<br>" +
                                    "<div > "+ msgSignatureServerStatus+" </div>\",       "
                + "\"digest\": \""+"\",               "
                + "\"show_cover_pic\": \"1\"           }       ]   },   "
                + "\"safe\":0}";
        WxResponseBean wx=sr.sendTextMessage(asresponse, sendjson);
    }

}
